curl -X PATCH "https://ecommerce.jelou.ai/apps/{app_id}/branches/1" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json" \
-d '{
"name": "Renovated Downtown Branch",
"address": "456 Main Ave, Quito"
}'
{
"id": 1,
"name": "Renovated Downtown Branch",
"code": "BRANCH-DOWNTOWN",
"address": "456 Main Ave, Quito",
"phone": "+593991234567",
"status": true,
"properties": {
"schedule": "09:00 - 18:00",
"zone": "north"
},
"created_at": "2026-02-19T15:30:00Z",
"updated_at": "2026-02-19T16:00:00Z"
}
Update the data of an existing branch.
curl -X PATCH "https://ecommerce.jelou.ai/apps/{app_id}/branches/1" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json" \
-d '{
"name": "Renovated Downtown Branch",
"address": "456 Main Ave, Quito"
}'
{
"id": 1,
"name": "Renovated Downtown Branch",
"code": "BRANCH-DOWNTOWN",
"address": "456 Main Ave, Quito",
"phone": "+593991234567",
"status": true,
"properties": {
"schedule": "09:00 - 18:00",
"zone": "north"
},
"created_at": "2026-02-19T15:30:00Z",
"updated_at": "2026-02-19T16:00:00Z"
}
curl -X PATCH "https://ecommerce.jelou.ai/apps/{app_id}/branches/1" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json" \
-d '{
"name": "Renovated Downtown Branch",
"address": "456 Main Ave, Quito"
}'
{
"id": 1,
"name": "Renovated Downtown Branch",
"code": "BRANCH-DOWNTOWN",
"address": "456 Main Ave, Quito",
"phone": "+593991234567",
"status": true,
"properties": {
"schedule": "09:00 - 18:00",
"zone": "north"
},
"created_at": "2026-02-19T15:30:00Z",
"updated_at": "2026-02-19T16:00:00Z"
}
Was this page helpful?